--- a/debhelper.pod
+++ b/debhelper.pod
@@ -185,13 +185,10 @@
 
 =item B<--ignore=>I<file>
 
-Ignore the specified file. This can be used if F<debian/> contains a debhelper
-config file that a debhelper command should not act on. Note that
-F<debian/compat>, F<debian/control>, and F<debian/changelog> can't be ignored, but
-then, there should never be a reason to ignore those files.
-
-For example, if upstream ships a F<debian/init> that you don't want
-B<dh_installinit> to install, use B<--ignore=debian/init>
+The removal of this option is planned in compat 13.  If you cannot
+acheive your goal with L<dh-exec(1)> or executable debhelper
+configuration files, please describe your needs at
+L<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=895061>.
 
 =item B<-P>I<tmpdir>, B<--tmpdir=>I<tmpdir>
 
@@ -962,6 +959,10 @@
 If you need them for B<*-indep> targets, you can add an explicit
 Build-Depends on B<dh-sequence-elf-tools>.
 
+*item -
+
+The B<--ignore> command line option is deprecated.
+
 =back
 
 =back
--- a/lib/Debian/Debhelper/Dh_Getopt.pm
+++ b/lib/Debian/Debhelper/Dh_Getopt.pm
@@ -79,6 +79,7 @@
 
 # Add a file to the ignore list.
 sub AddIgnore { my($option,$file)=@_;
+	compat(12) || error("compatibility level 13 deprecates --ignore");
 	$dh{IGNORE}->{$file}=1;
 }
 
--- a/lib/Debian/Debhelper/Dh_Lib.pm
+++ b/lib/Debian/Debhelper/Dh_Lib.pm
@@ -978,6 +978,7 @@
 		}
 		foreach my $file (@try) {
 			if (-f $file &&
+				# dh{IGNORE} may only exist in compat(12)
 				(! $dh{IGNORE} || ! exists $dh{IGNORE}->{$file})) {
 				return $file;
 			}
